> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.fohlio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List client proposals



## OpenAPI

````yaml /swagger.yaml get /client_proposals
openapi: 3.0.1
info:
  title: Fohlio REST API
  description: This is the documentation for the Fohlio REST API.
  version: 1.0.0
servers:
  - url: /openapi
  - url: https://app.fohlio.com/be/openapi
security: []
paths:
  /client_proposals:
    get:
      tags:
        - Client Proposal
      summary: List client proposals
      operationId: client_proposals#list
      parameters:
        - name: project_id
          in: query
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: page
          in: query
          schema:
            default: 1
            minimum: 1
            type: string
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 100
          required: false
        - name: updated_since
          in: query
          required: false
          schema:
            type: integer
        - in: query
          name: status
          schema:
            type: array
            items:
              type: string
              enum:
                - draft
                - review
                - approved
                - rejected
                - invoiced_partially
                - invoiced_fully
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/clientProposals'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - apiKey: []
components:
  schemas:
    clientProposals:
      type: array
      items:
        $ref: '#/components/schemas/clientProposal'
    error:
      type: object
      properties:
        error:
          type: string
    clientProposal:
      type: object
      properties:
        id:
          type: integer
        label:
          type: string
        status:
          type: string
          enum:
            - draft
            - review
            - approved
            - rejected
            - invoiced_partially
            - invoiced_fully
        subtotal:
          type: number
        total:
          type: number
        taxes:
          type: number
        taxable_amount:
          type: number
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        client:
          $ref: '#/components/schemas/contact'
        items:
          type: array
          items:
            $ref: '#/components/schemas/lineItem'
        client_invoice_ids:
          type: array
          items:
            type: integer
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/paymentTerm'
    contact:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        data:
          type: object
          additionalProperties: true
          description: The details of the contact encoded in JSON format.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/contactAddress'
        people:
          type: array
          items:
            $ref: '#/components/schemas/contactPerson'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/contactCategory'
    lineItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        unit_type:
          type: string
          nullable: true
        quantity:
          type: number
        price:
          type: number
        taxable:
          type: boolean
        second_taxable:
          type: boolean
          nullable: true
        project_item_id:
          type: integer
          nullable: true
    paymentTerm:
      type: object
      properties:
        id:
          type: string
        amount:
          type: string
        due_date:
          type: string
          nullable: true
        payment_terms:
          type: string
    contactAddress:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone:
          type: string
          nullable: true
        post_code:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        priority:
          type: boolean
    contactPerson:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        priority:
          type: boolean
    contactCategory:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
          enum:
            - client
            - supplier
            - general_contractor
            - manufacture
            - warehouse
  securitySchemes:
    apiKey:
      type: apiKey
      name: authorization
      in: header

````